Subject: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: Ihor Radchenko <[email-masked]>
Date: Thu, 25 Jan 2024 13:47:20 +0000

Kévin Le Gouguec <[email-masked]> writes:

> * You might have solved bug#52587?  At least I can no longer reproduce
>   using the recipe there (NB: the OP needs adjustments¹) after pulling
>   your changes, 'make all', and 'emacs -Q -L lisp' from the Org repo².

Yes, I think. And bug#59141.

> ² Don't know if there is a "blessed" way to interactively test changes
> in the Org repo; thinking of e.g. magit's 'emacs-Q' target which reduces
> the chance of forgetting a step.

make repro

> ... FWIW I went in guns blazing with 'make
> -j8' and got screenfuls of version-mismatch warnings, so elected to take
> -j8 off; that seemed to make things quieter.

You may need to clear stale .elc files in lisp/org before re-compiling.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>